package org.artifactory.security.access.emigrate.conveter;

import org.artifactory.security.access.AccessService;
import org.artifactory.security.access.emigrate.AccessConverter;
import org.jfrog.access.common.ResourceType;
import org.jfrog.access.rest.permission.Permissions;
import org.jfrog.access.rest.permission.UpdatePermissionRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @author Noam Shemesh
 */
@Component
public class V5100ConvertResourceTypeToRepo implements AccessConverter {

    private final AccessService accessService;

    @Autowired
    public V5100ConvertResourceTypeToRepo(AccessService accessService) {
        this.accessService = accessService;
    }

    @Override
    public void convert() {
        Permissions permissionsByServiceId = accessService.getAccessClient().permissions()
                .findPermissionsByServiceId(accessService.getArtifactoryServiceId());

        permissionsByServiceId.getPermissions()
                .stream()
                .filter(permission -> ResourceType.SERVICE.equals(permission.getResourceType()))
                .forEach(permission ->
                        accessService.getAccessClient().permissions()
                                .updatePermission((UpdatePermissionRequest)
                                        UpdatePermissionRequest.create()
                                                .name(permission.getName())
                                                .resourceType(ResourceType.REPO)));
    }
}
